Core - Query webhooks
curl --request POST \
--url 'https://my.orq.ai/v2/webhooks/query' \
--header "Authorization: Bearer $ORQ_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"sortingProps": [{"key": "created", "direction": "desc"}],
"filters": []
}'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pagination: {page: 123, limit: 123, lastId: '<string>', firstId: '<string>'},
sortingProps: [{key: '<string>', direction: '<string>'}],
query: {},
filters: [{}],
includedFields: {}
})
};
fetch('https://my.orq.ai/v2/webhooks/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/webhooks/query"
payload = {
"pagination": {
"page": 123,
"limit": 123,
"lastId": "<string>",
"firstId": "<string>"
},
"sortingProps": [
{
"key": "<string>",
"direction": "<string>"
}
],
"query": {},
"filters": [{}],
"includedFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"count": 123,
"items": [
{
"_id": "<string>",
"url": "<string>",
"content_type": "application/json",
"display_name": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"enabled": true,
"failure_count": 123
}
]
}Webhooks
Query webhooks
deprecated
Deprecated. Returns webhooks matching legacy query filters. Use GET /v2/webhooks for pagination, search, event filtering, and sorting.
POST
/
v2
/
webhooks
/
query
Core - Query webhooks
curl --request POST \
--url 'https://my.orq.ai/v2/webhooks/query' \
--header "Authorization: Bearer $ORQ_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"sortingProps": [{"key": "created", "direction": "desc"}],
"filters": []
}'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pagination: {page: 123, limit: 123, lastId: '<string>', firstId: '<string>'},
sortingProps: [{key: '<string>', direction: '<string>'}],
query: {},
filters: [{}],
includedFields: {}
})
};
fetch('https://my.orq.ai/v2/webhooks/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/webhooks/query"
payload = {
"pagination": {
"page": 123,
"limit": 123,
"lastId": "<string>",
"firstId": "<string>"
},
"sortingProps": [
{
"key": "<string>",
"direction": "<string>"
}
],
"query": {},
"filters": [{}],
"includedFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"count": 123,
"items": [
{
"_id": "<string>",
"url": "<string>",
"content_type": "application/json",
"display_name": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"enabled": true,
"failure_count": 123
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?